zenilib: zenilib/jni/external/libpng/pngwutil.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
pngwutil.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Macros

#define | PNG_HIMASK ((png_uint_32)(~PNG_LOMASK >> PNG_HISHIFT))
#define | PNG_HISHIFT 10
#define | PNG_LOMASK ((png_uint_32)0xffffL)
#define | PNG_MAXSUM (((png_uint_32)(-1)) >> 1)

## Functions

png_size_t | png_check_keyword (png_structp png_ptr, png_const_charp key, png_charpp new_key)
void | png_do_write_interlace (png_row_infop row_info, png_bytep row, int pass)
void PNGAPI | png_save_int_32 (png_bytep buf, png_int_32 i)
void PNGAPI | png_save_uint_16 (png_bytep buf, unsigned int i)
void PNGAPI | png_save_uint_32 (png_bytep buf, png_uint_32 i)
static int | png_text_compress (png_structp png_ptr, png_const_charp text, png_size_t text_len, int compression, compression_state *comp)
void | png_write_bKGD (png_structp png_ptr, png_const_color_16p back, int color_type)
void | png_write_cHRM_fixed (png_structp png_ptr, png_fixed_point white_x, png_fixed_point white_y, png_fixed_point red_x, png_fixed_point red_y, png_fixed_point green_x, png_fixed_point green_y, png_fixed_point blue_x, png_fixed_point blue_y)
void PNGAPI | png_write_chunk (png_structp png_ptr, png_const_bytep chunk_string, png_const_bytep data, png_size_t length)
void PNGAPI | png_write_chunk_data (png_structp png_ptr, png_const_bytep data, png_size_t length)
void PNGAPI | png_write_chunk_end (png_structp png_ptr)
static void | png_write_chunk_header (png_structp png_ptr, png_uint_32 chunk_name, png_uint_32 length)
void PNGAPI | png_write_chunk_start (png_structp png_ptr, png_const_bytep chunk_string, png_uint_32 length)
static void | png_write_complete_chunk (png_structp png_ptr, png_uint_32 chunk_name, png_const_bytep data, png_size_t length)
static void | png_write_compressed_data_out (png_structp png_ptr, compression_state *comp)
static void | png_write_filtered_row (png_structp png_ptr, png_bytep filtered_row, png_size_t row_bytes)
void | png_write_find_filter (png_structp png_ptr, png_row_infop row_info)
void | png_write_finish_row (png_structp png_ptr)
void | png_write_gAMA_fixed (png_structp png_ptr, png_fixed_point file_gamma)
void | png_write_hIST (png_structp png_ptr, png_const_uint_16p hist, int num_hist)
void | png_write_iCCP (png_structp png_ptr, png_const_charp name, int compression_type, png_const_charp profile, int profile_len)
void | png_write_IDAT (png_structp png_ptr, png_bytep data, png_size_t length)
void | png_write_IEND (png_structp png_ptr)
void | png_write_IHDR (png_structp png_ptr, png_uint_32 width, png_uint_32 height, int bit_depth, int color_type, int compression_type, int filter_type, int interlace_type)
void | png_write_iTXt (png_structp png_ptr, int compression, png_const_charp key, png_const_charp lang, png_const_charp lang_key, png_const_charp text)
void | png_write_oFFs (png_structp png_ptr, png_int_32 x_offset, png_int_32 y_offset, int unit_type)
void | png_write_pCAL (png_structp png_ptr, png_charp purpose, png_int_32 X0, png_int_32 X1, int type, int nparams, png_const_charp units, png_charpp params)
void | png_write_pHYs (png_structp png_ptr, png_uint_32 x_pixels_per_unit, png_uint_32 y_pixels_per_unit, int unit_type)
void | png_write_PLTE (png_structp png_ptr, png_const_colorp palette, png_uint_32 num_pal)
void | png_write_sBIT (png_structp png_ptr, png_const_color_8p sbit, int color_type)
void | png_write_sCAL_s (png_structp png_ptr, int unit, png_const_charp width, png_const_charp height)
void PNGAPI | png_write_sig (png_structp png_ptr)
void | png_write_sPLT (png_structp png_ptr, png_const_sPLT_tp spalette)
void | png_write_sRGB (png_structp png_ptr, int srgb_intent)
void | png_write_start_row (png_structp png_ptr)
void | png_write_tEXt (png_structp png_ptr, png_const_charp key, png_const_charp text, png_size_t text_len)
void | png_write_tIME (png_structp png_ptr, png_const_timep mod_time)
void | png_write_tRNS (png_structp png_ptr, png_const_bytep trans_alpha, png_const_color_16p tran, int num_trans, int color_type)
void | png_write_zTXt (png_structp png_ptr, png_const_charp key, png_const_charp text, png_size_t text_len, int compression)
static void | png_zlib_claim (png_structp png_ptr, png_uint_32 state)
static void | png_zlib_release (png_structp png_ptr)

## Macro Definition Documentation

#define PNG_HIMASK ((png_uint_32)(~PNG_LOMASK >> PNG_HISHIFT))

Definition at line 2423 of file pngwutil.c.

Referenced by png_write_find_filter().

#define PNG_HISHIFT 10

Definition at line 2421 of file pngwutil.c.

Referenced by png_write_find_filter().

#define PNG_LOMASK ((png_uint_32)0xffffL)

Definition at line 2422 of file pngwutil.c.

Referenced by png_write_find_filter().

#define PNG_MAXSUM (((png_uint_32)(-1)) >> 1)

Definition at line 2420 of file pngwutil.c.

Referenced by png_write_find_filter().

## Function Documentation

png_size_t png_check_keyword | ( | png_structp | png_ptr,
|  | png_const_charp | key,
|  | png_charpp | new_key
| ) |  |

Definition at line 1524 of file pngwutil.c.

References NULL, png_debug, png_debug1, png_formatted_warning(), png_free(), PNG_NUMBER_FORMAT_02x, png_strlen, png_warning(), png_warning_parameter_unsigned(), and PNG_WARNING_PARAMETERS.

Referenced by png_write_iCCP(), png_write_iTXt(), png_write_pCAL(), png_write_sPLT(), png_write_tEXt(), and png_write_zTXt().

void png_do_write_interlace | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | int | pass
| ) |  |

Definition at line 2241 of file pngwutil.c.

References d, i, int, PNG_CONST, png_debug, png_memcpy, and PNG_ROWBYTES.

Referenced by png_write_row().

void PNGAPI png_save_int_32 | ( | png_bytep | buf,
|  | png_int_32 | i
| ) |  |

Definition at line 40 of file pngwutil.c.

Referenced by png_write_oFFs(), and png_write_pCAL().

void PNGAPI png_save_uint_16 | ( | png_bytep | buf,
|  | unsigned int | i
| ) |  |

Definition at line 54 of file pngwutil.c.

Referenced by png_write_bKGD(), png_write_hIST(), png_write_sPLT(), png_write_tIME(), and png_write_tRNS().

void PNGAPI png_save_uint_32 | ( | png_bytep | buf,
|  | png_uint_32 | i
| ) |  |

Definition at line 24 of file pngwutil.c.

Referenced by png_write_cHRM_fixed(), png_write_chunk_end(), png_write_chunk_header(), png_write_gAMA_fixed(), png_write_IHDR(), png_write_pHYs(), and test_one_file().

static int png_text_compress | ( | png_structp | png_ptr,
|  | png_const_charp | text,
|  | png_size_t | text_len,
|  | int | compression,
|  | compression_state * | comp
| ) |  |

static

Definition at line 377 of file pngwutil.c.

References deflate(), NULL, png_error(), png_formatted_warning(), png_free(), png_memcpy, PNG_NUMBER_FORMAT_d, png_sizeof, PNG_TEXT_COMPRESSION_LAST, PNG_TEXT_COMPRESSION_NONE, png_warning_parameter_signed(), PNG_WARNING_PARAMETERS, png_zlib_claim(), ret, Z_FINISH, Z_NO_FLUSH, Z_OK, and Z_STREAM_END.

Referenced by png_write_iCCP(), png_write_iTXt(), and png_write_zTXt().

void png_write_bKGD | ( | png_structp | png_ptr,
|  | png_const_color_16p | back,
|  | int | color_type
| ) |  |

Definition at line 1421 of file pngwutil.c.

References png_bKGD, PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_PALETTE, png_debug, PNG_FLAG_MNG_EMPTY_PLTE, PNG_MNG_FEATURES_SUPPORTED, png_save_uint_16(), png_warning(), and png_write_complete_chunk().

Referenced by png_write_info().

void png_write_cHRM_fixed | ( | png_structp | png_ptr,
|  | png_fixed_point | white_x,
|  | png_fixed_point | white_y,
|  | png_fixed_point | red_x,
|  | png_fixed_point | red_y,
|  | png_fixed_point | green_x,
|  | png_fixed_point | green_y,
|  | png_fixed_point | blue_x,
|  | png_fixed_point | blue_y
| ) |  |

Definition at line 1322 of file pngwutil.c.

References png_check_cHRM_fixed(), png_cHRM, png_debug, png_save_uint_32(), and png_write_complete_chunk().

Referenced by png_write_info_before_PLTE().

void PNGAPI png_write_chunk | ( | png_structp | png_ptr,
|  | png_const_bytep | chunk_string,
|  | png_const_bytep | data,
|  | png_size_t | length
| ) |  |

Definition at line 210 of file pngwutil.c.

References PNG_CHUNK_FROM_STRING, and png_write_complete_chunk().

Referenced by png_write_end(), png_write_info(), png_write_info_before_PLTE(), and test_one_file().

void PNGAPI png_write_chunk_data | ( | png_structp | png_ptr,
|  | png_const_bytep | data,
|  | png_size_t | length
| ) |  |

Definition at line 144 of file pngwutil.c.

References NULL, png_calculate_crc(), and png_write_data().

Referenced by png_write_complete_chunk(), png_write_compressed_data_out(), png_write_hIST(), png_write_iCCP(), png_write_iTXt(), png_write_pCAL(), png_write_PLTE(), png_write_sPLT(), png_write_tEXt(), and png_write_zTXt().

void PNGAPI png_write_chunk_end | ( | png_structp | png_ptr | ) |

Definition at line 164 of file pngwutil.c.

References NULL, PNG_IO_CHUNK_CRC, PNG_IO_WRITING, png_save_uint_32(), and png_write_data().

Referenced by png_write_complete_chunk(), png_write_hIST(), png_write_iCCP(), png_write_iTXt(), png_write_pCAL(), png_write_PLTE(), png_write_sPLT(), png_write_tEXt(), and png_write_zTXt().

static void png_write_chunk_header | ( | png_structp | png_ptr,
|  | png_uint_32 | chunk_name,
|  | png_uint_32 | length
| ) |  |

static

Definition at line 90 of file pngwutil.c.

References NULL, png_calculate_crc(), PNG_CSTRING_FROM_CHUNK, png_debug2, PNG_IO_CHUNK_DATA, PNG_IO_CHUNK_HDR, PNG_IO_WRITING, png_reset_crc(), png_save_uint_32(), and png_write_data().

Referenced by png_write_chunk_start(), png_write_complete_chunk(), png_write_hIST(), png_write_iCCP(), png_write_iTXt(), png_write_pCAL(), png_write_PLTE(), png_write_sPLT(), png_write_tEXt(), and png_write_zTXt().

void PNGAPI png_write_chunk_start | ( | png_structp | png_ptr,
|  | png_const_bytep | chunk_string,
|  | png_uint_32 | length
| ) |  |

Definition at line 132 of file pngwutil.c.

References PNG_CHUNK_FROM_STRING, and png_write_chunk_header().

static void png_write_complete_chunk | ( | png_structp | png_ptr,
|  | png_uint_32 | chunk_name,
|  | png_const_bytep | data,
|  | png_size_t | length
| ) |  |

static

Definition at line 193 of file pngwutil.c.

References NULL, png_error(), PNG_UINT_32_MAX, png_write_chunk_data(), png_write_chunk_end(), and png_write_chunk_header().

Referenced by png_write_bKGD(), png_write_cHRM_fixed(), png_write_chunk(), png_write_gAMA_fixed(), png_write_IDAT(), png_write_IEND(), png_write_IHDR(), png_write_oFFs(), png_write_pHYs(), png_write_sBIT(), png_write_sCAL_s(), png_write_sRGB(), png_write_tIME(), and png_write_tRNS().

static void png_write_compressed_data_out | ( | png_structp | png_ptr,
|  | compression_state * | comp
| ) |  |

static

Definition at line 572 of file pngwutil.c.

References i, png_error(), png_free(), png_write_chunk_data(), and png_zlib_release().

Referenced by png_write_iCCP(), png_write_iTXt(), and png_write_zTXt().

static void png_write_filtered_row | ( | png_structp | png_ptr,
|  | png_bytep | filtered_row,
|  | png_size_t | row_bytes
| ) |  |

static

Definition at line 3096 of file pngwutil.c.

References deflate(), NULL, png_debug, png_debug1, png_error(), png_write_finish_row(), png_write_flush(), png_write_IDAT(), ret, Z_NO_FLUSH, Z_OK, and ZLIB_IO_MAX.

Referenced by png_write_find_filter().

void png_write_find_filter | ( | png_structp | png_ptr,
|  | png_row_infop | row_info
| ) |  |

Definition at line 2425 of file pngwutil.c.

References cp, i, int, j, PNG_ALL_FILTERS, PNG_COST_SHIFT, png_debug, PNG_FILTER_AVG, PNG_FILTER_HEURISTIC_WEIGHTED, PNG_FILTER_NONE, PNG_FILTER_PAETH, PNG_FILTER_SUB, PNG_FILTER_UP, PNG_FILTER_VALUE_AVG, PNG_FILTER_VALUE_NONE, PNG_FILTER_VALUE_PAETH, PNG_FILTER_VALUE_SUB, PNG_FILTER_VALUE_UP, PNG_HIMASK, PNG_HISHIFT, PNG_LOMASK, PNG_MAXSUM, PNG_WEIGHT_SHIFT, png_write_filtered_row(), and pp.

Referenced by png_write_row().

void png_write_finish_row | ( | png_structp | png_ptr | ) |

Definition at line 2113 of file pngwutil.c.

References deflate(), NULL, PNG_CONST, png_debug, png_error(), PNG_INTERLACE, png_memset, PNG_ROWBYTES, png_write_IDAT(), png_zlib_release(), ret, Z_BINARY, Z_FINISH, Z_OK, and Z_STREAM_END.

Referenced by png_write_filtered_row(), and png_write_row().

void png_write_gAMA_fixed | ( | png_structp | png_ptr,
|  | png_fixed_point | file_gamma
| ) |  |

Definition at line 1061 of file pngwutil.c.

References png_debug, png_gAMA, png_save_uint_32(), and png_write_complete_chunk().

Referenced by png_write_info_before_PLTE().

void png_write_hIST | ( | png_structp | png_ptr,
|  | png_const_uint_16p | hist,
|  | int | num_hist
| ) |  |

Definition at line 1483 of file pngwutil.c.

References i, png_debug, png_debug2, png_hIST, png_save_uint_16(), png_warning(), png_write_chunk_data(), png_write_chunk_end(), and png_write_chunk_header().

Referenced by png_write_info().

void png_write_iCCP | ( | png_structp | png_ptr,
|  | png_const_charp | name,
|  | int | compression_type,
|  | png_const_charp | profile,
|  | int | profile_len
| ) |  |

Definition at line 1094 of file pngwutil.c.

References comp(), NULL, png_check_keyword(), PNG_COMPRESSION_TYPE_BASE, png_debug, png_free(), png_iCCP, png_text_compress(), png_warning(), png_write_chunk_data(), png_write_chunk_end(), png_write_chunk_header(), and png_write_compressed_data_out().

Referenced by png_write_info_before_PLTE().

void png_write_IDAT | ( | png_structp | png_ptr,
|  | png_bytep | data,
|  | png_size_t | length
| ) |  |

Definition at line 965 of file pngwutil.c.

References PNG_COMPRESSION_TYPE_BASE, png_debug, png_error(), PNG_HAVE_IDAT, png_IDAT, and png_write_complete_chunk().

Referenced by png_write_filtered_row(), png_write_finish_row(), and png_write_flush().

void png_write_IEND | ( | png_structp | png_ptr | ) |

Definition at line 1050 of file pngwutil.c.

References NULL, png_debug, PNG_HAVE_IEND, png_IEND, and png_write_complete_chunk().

Referenced by png_write_end().

void png_write_IHDR | ( | png_structp | png_ptr,
|  | png_uint_32 | width,
|  | png_uint_32 | height,
|  | int | bit_depth,
|  | int | color_type,
|  | int | compression_type,
|  | int | filter_type,
|  | int | interlace_type
| ) |  |

Definition at line 676 of file pngwutil.c.

References if(), PNG_ALL_FILTERS, PNG_COLOR_TYPE_GRAY, PNG_COLOR_TYPE_GRAY_ALPHA, PNG_COLOR_TYPE_PALETTE, PNG_COLOR_TYPE_RGB, PNG_COLOR_TYPE_RGB_ALPHA, PNG_COMPRESSION_TYPE_BASE, png_debug, png_error(), PNG_FILTER_NONE, PNG_FILTER_TYPE_BASE, PNG_FLAG_MNG_FILTER_64, PNG_FLAG_ZLIB_CUSTOM_LEVEL, PNG_FLAG_ZLIB_CUSTOM_MEM_LEVEL, PNG_FLAG_ZLIB_CUSTOM_METHOD, PNG_FLAG_ZLIB_CUSTOM_STRATEGY, PNG_FLAG_ZLIB_CUSTOM_WINDOW_BITS, PNG_FLAG_ZTXT_CUSTOM_LEVEL, PNG_FLAG_ZTXT_CUSTOM_MEM_LEVEL, PNG_FLAG_ZTXT_CUSTOM_METHOD, PNG_FLAG_ZTXT_CUSTOM_STRATEGY, PNG_FLAG_ZTXT_CUSTOM_WINDOW_BITS, PNG_HAVE_IHDR, PNG_HAVE_PNG_SIGNATURE, png_IHDR, PNG_INTERLACE_ADAM7, PNG_INTERLACE_NONE, PNG_INTRAPIXEL_DIFFERENCING, PNG_MNG_FEATURES_SUPPORTED, PNG_ROWBYTES, png_save_uint_32(), png_warning(), png_write_complete_chunk(), PNG_WRITE_COMPRESSED_TEXT_SUPPORTED, PNG_WRITE_CUSTOMIZE_ZTXT_COMPRESSION_SUPPORTED, png_zfree(), Z_DEFAULT_COMPRESSION, Z_DEFAULT_STRATEGY, and Z_FILTERED.

Referenced by png_write_info_before_PLTE().

void png_write_iTXt | ( | png_structp | png_ptr,
|  | int | compression,
|  | png_const_charp | key,
|  | png_const_charp | lang,
|  | png_const_charp | lang_key,
|  | png_const_charp | text
| ) |  |

Definition at line 1749 of file pngwutil.c.

References comp(), NULL, png_check_keyword(), png_debug, png_free(), png_iTXt, PNG_ITXT_COMPRESSION_NONE, png_strlen, png_text_compress(), PNG_TEXT_COMPRESSION_NONE, png_warning(), png_write_chunk_data(), png_write_chunk_end(), png_write_chunk_header(), and png_write_compressed_data_out().

Referenced by png_write_end(), and png_write_info().

void png_write_oFFs | ( | png_structp | png_ptr,
|  | png_int_32 | x_offset,
|  | png_int_32 | y_offset,
|  | int | unit_type
| ) |  |

Definition at line 1842 of file pngwutil.c.

References png_debug, png_oFFs, PNG_OFFSET_LAST, png_save_int_32(), png_warning(), and png_write_complete_chunk().

Referenced by png_write_info().

void png_write_pCAL | ( | png_structp | png_ptr,
|  | png_charp | purpose,
|  | png_int_32 | X0,
|  | png_int_32 | X1,
|  | int | type,
|  | int | nparams,
|  | png_const_charp | units,
|  | png_charpp | params
| ) |  |

Definition at line 1862 of file pngwutil.c.

References i, png_check_keyword(), png_debug1, png_debug2, PNG_EQUATION_LAST, png_free(), png_pCAL, png_save_int_32(), png_sizeof, png_strlen, png_warning(), png_write_chunk_data(), png_write_chunk_end(), and png_write_chunk_header().

Referenced by png_write_info().

void png_write_pHYs | ( | png_structp | png_ptr,
|  | png_uint_32 | x_pixels_per_unit,
|  | png_uint_32 | y_pixels_per_unit,
|  | int | unit_type
| ) |  |

Definition at line 1952 of file pngwutil.c.

References png_debug, png_pHYs, PNG_RESOLUTION_LAST, png_save_uint_32(), png_warning(), and png_write_complete_chunk().

Referenced by png_write_info().

void png_write_PLTE | ( | png_structp | png_ptr,
|  | png_const_colorp | palette,
|  | png_uint_32 | num_pal
| ) |  |

Definition at line 895 of file pngwutil.c.

References i, PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_PALETTE, png_debug, png_debug1, png_error(), PNG_FLAG_MNG_EMPTY_PLTE, PNG_HAVE_PLTE, PNG_MNG_FEATURES_SUPPORTED, png_PLTE, png_warning(), png_write_chunk_data(), png_write_chunk_end(), and png_write_chunk_header().

Referenced by png_write_info().

void png_write_sBIT | ( | png_structp | png_ptr,
|  | png_const_color_8p | sbit,
|  | int | color_type
| ) |  |

Definition at line 1263 of file pngwutil.c.

References PNG_COLOR_MASK_ALPHA, PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_PALETTE, png_debug, png_sBIT, png_warning(), and png_write_complete_chunk().

Referenced by png_write_info_before_PLTE().

void png_write_sCAL_s | ( | png_structp | png_ptr,
|  | int | unit,
|  | png_const_charp | width,
|  | png_const_charp | height
| ) |  |

Definition at line 1922 of file pngwutil.c.

References png_debug, png_debug1, png_memcpy, png_sCAL, png_strlen, png_warning(), and png_write_complete_chunk().

Referenced by png_write_info().

void PNGAPI png_write_sig | ( | png_structp | png_ptr | ) |

Definition at line 68 of file pngwutil.c.

References PNG_HAVE_PNG_SIGNATURE, PNG_IO_SIGNATURE, PNG_IO_WRITING, and png_write_data().

Referenced by png_write_info_before_PLTE().

void png_write_sPLT | ( | png_structp | png_ptr,
|  | png_const_sPLT_tp | spalette
| ) |  |

Definition at line 1179 of file pngwutil.c.

References entries, entry_size, i, png_check_keyword(), png_debug, png_free(), png_save_uint_16(), png_sPLT, png_write_chunk_data(), png_write_chunk_end(), png_write_chunk_header(), and red.

Referenced by png_write_info().

void png_write_sRGB | ( | png_structp | png_ptr,
|  | int | srgb_intent
| ) |  |

Definition at line 1076 of file pngwutil.c.

References png_debug, png_sRGB, PNG_sRGB_INTENT_LAST, png_warning(), and png_write_complete_chunk().

Referenced by png_write_info_before_PLTE().

void png_write_start_row | ( | png_structp | png_ptr | ) |

Definition at line 2003 of file pngwutil.c.

References PNG_CONST, png_debug, PNG_FILTER_AVG, PNG_FILTER_PAETH, PNG_FILTER_SUB, PNG_FILTER_UP, PNG_FILTER_VALUE_AVG, PNG_FILTER_VALUE_NONE, PNG_FILTER_VALUE_PAETH, PNG_FILTER_VALUE_SUB, PNG_FILTER_VALUE_UP, PNG_INTERLACE, PNG_ROWBYTES, and png_zlib_claim().

Referenced by png_write_row().

void png_write_tEXt | ( | png_structp | png_ptr,
|  | png_const_charp | key,
|  | png_const_charp | text,
|  | png_size_t | text_len
| ) |  |

Definition at line 1646 of file pngwutil.c.

References NULL, png_check_keyword(), png_debug, png_free(), png_strlen, png_tEXt, png_write_chunk_data(), png_write_chunk_end(), and png_write_chunk_header().

Referenced by png_write_end(), png_write_info(), and png_write_zTXt().

void png_write_tIME | ( | png_structp | png_ptr,
|  | png_const_timep | mod_time
| ) |  |

Definition at line 1976 of file pngwutil.c.

References png_debug, png_save_uint_16(), png_tIME, png_warning(), and png_write_complete_chunk().

Referenced by png_write_end(), and png_write_info().

void png_write_tRNS | ( | png_structp | png_ptr,
|  | png_const_bytep | trans_alpha,
|  | png_const_color_16p | tran,
|  | int | num_trans,
|  | int | color_type
| ) |  |

Definition at line 1357 of file pngwutil.c.

References PNG_COLOR_TYPE_GRAY, PNG_COLOR_TYPE_PALETTE, PNG_COLOR_TYPE_RGB, png_debug, png_save_uint_16(), png_tRNS, png_warning(), and png_write_complete_chunk().

Referenced by png_write_info().

void png_write_zTXt | ( | png_structp | png_ptr,
|  | png_const_charp | key,
|  | png_const_charp | text,
|  | png_size_t | text_len,
|  | int | compression
| ) |  |

Definition at line 1687 of file pngwutil.c.

References comp(), NULL, png_check_keyword(), png_debug, png_free(), png_strlen, png_text_compress(), PNG_TEXT_COMPRESSION_NONE, png_write_chunk_data(), png_write_chunk_end(), png_write_chunk_header(), png_write_compressed_data_out(), png_write_tEXt(), and png_zTXt.

Referenced by png_write_end(), and png_write_info().

static void png_zlib_claim | ( | png_structp | png_ptr,
|  | png_uint_32 | state
| ) |  |

static

Definition at line 219 of file pngwutil.c.

References deflateEnd(), deflateInit2, png_error(), png_safecat(), ret, Z_MEM_ERROR, Z_OK, Z_STREAM_ERROR, and Z_VERSION_ERROR.

Referenced by png_text_compress(), and png_write_start_row().

static void png_zlib_release | ( | png_structp | png_ptr | ) |

static

Definition at line 308 of file pngwutil.c.

References deflateReset(), png_formatted_warning(), PNG_NUMBER_FORMAT_d, png_warning(), png_warning_parameter(), png_warning_parameter_signed(), PNG_WARNING_PARAMETERS, ret, Z_MEM_ERROR, Z_OK, Z_STREAM_ERROR, and Z_VERSION_ERROR.

Referenced by png_write_compressed_data_out(), and png_write_finish_row().